<ui version="4.0" >
 <class>BehaviorConfig_General</class>
 <widget class="QWidget" name="BehaviorConfig_General" >
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>365</width>
    <height>404</height>
   </rect>
  </property>
  <property name="windowTitle" >
   <string>General</string>
  </property>
  <layout class="QVBoxLayout" >
   <property name="spacing" >
    <number>6</number>
   </property>
   <property name="margin" >
    <number>9</number>
   </property>
   <item>
    <widget class="QGroupBox" name="groupBox" >
     <property name="title" >
      <string>System Tray</string>
     </property>
     <layout class="QVBoxLayout" >
      <property name="spacing" >
       <number>6</number>
      </property>
      <property name="margin" >
       <number>9</number>
      </property>
      <item>
       <widget class="QCheckBox" name="kcfg_showSystemTray" >
        <property name="toolTip" >
         <string>Show the icon in the system tray</string>
        </property>
        <property name="whatsThis" >
         <string>By default, the system tray icon indicates new incoming messages using an animation. A left or middle mouse click on the icon will open the message in a new chat window. Pressing the "View" button in the notification popup has the same effect.</string>
        </property>
        <property name="text" >
         <string>Show system &amp;tray icon</string>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QCheckBox" name="kcfg_startDocked" >
        <property name="enabled" >
         <bool>false</bool>
        </property>
        <property name="toolTip" >
         <string>Start with the main window minimized to the system tray</string>
        </property>
        <property name="whatsThis" >
         <string>Start with the main window hidden. The only visible item is the system tray icon.</string>
        </property>
        <property name="text" >
         <string>Start &amp;with hidden main window</string>
        </property>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <widget class="QGroupBox" name="groupBox_2" >
     <property name="title" >
      <string>Message Handling</string>
     </property>
     <layout class="QVBoxLayout" >
      <property name="spacing" >
       <number>6</number>
      </property>
      <property name="margin" >
       <number>9</number>
      </property>
      <item>
       <widget class="QRadioButton" name="mInstantMessageOpeningChk" >
        <property name="toolTip" >
         <string>Instantly open incoming messages</string>
        </property>
        <property name="whatsThis" >
         <string>If there is no chat window open, a new message arriving will cause a new window to open. If there is already a chat window opened for that sender, the message will immediately be displayed there.</string>
        </property>
        <property name="text" >
         <string>Open messages instantl&amp;y</string>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QRadioButton" name="kcfg_useMessageQueue" >
        <property name="toolTip" >
         <string>Use a message queue to store incoming messages</string>
        </property>
        <property name="whatsThis" >
         <string>Store new incoming messages in a message queue. New messages are messages that cannot be displayed in an already open chat window. Only queued messages trigger notification via chat window and system tray icon animations.</string>
        </property>
        <property name="text" >
         <string>Use message &amp;queue</string>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QCheckBox" name="kcfg_queueUnreadMessages" >
        <property name="enabled" >
         <bool>false</bool>
        </property>
        <property name="toolTip" >
         <string>Also add unread messages to queue</string>
        </property>
        <property name="whatsThis" >
         <string>Unread messages are messages that will be displayed in an already opened but inactive chat window. Only incoming queued messages trigger notification via chat window and system tray icon animations. With this option disabled only new incoming messages are queued, i.e. messages that cannot be displayed in an already open chat window.</string>
        </property>
        <property name="text" >
         <string>Queue unrea&amp;d messages</string>
        </property>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
   <item>
	  <widget class="QGroupBox" name="initialStatusGroup" >
	  <property name="title" >
		  <string>Initial status</string>
	  </property>
	  <layout class="QVBoxLayout" >
		<property name="spacing" >
		  <number>6</number>
		</property>
		<property name="margin" >
		  <number>9</number>
		</property>
		<item>
		  <widget class="QComboBox" name="kcfg_initialStatus" >
			<property name="toolTip" >
			  <string>Set the initial status</string>
			</property>
			<property name="whatsThis" >
			  <string>When starting Kopete, and whenever your computer is online, all your accounts will go into the status selected here. You can exclude accounts individually in their properties.</string>
			</property>
			<item>
			  <property name="text" >
				<string>Offline</string>
			  </property>
			</item>
			<item>
			  <property name="text" >
				<string>Online</string>
			  </property>
			</item>
			<item>
			  <property name="text" >
				<string>Away</string>
			  </property>
			</item>
			<item>
			  <property name="text" >
				<string>Busy</string>
			  </property>
			  </item>
			<item>
			<property name="text" >
			  <string>Invisible</string>
			</property>
		  </item>
		 </widget>
		</item>
	  </layout>
	</widget>
   </item>


   <item>
    <spacer>
     <property name="orientation" >
      <enum>Qt::Vertical</enum>
     </property>
     <property name="sizeType" >
      <enum>QSizePolicy::Expanding</enum>
     </property>
     <property name="sizeHint" stdset="0" >
      <size>
       <width>20</width>
       <height>16</height>
      </size>
     </property>
    </spacer>
   </item>
  </layout>
 </widget>
 <layoutdefault spacing="6" margin="11" />
 <pixmapfunction>qPixmapFromMimeSource</pixmapfunction>
 <tabstops>
  <tabstop>kcfg_showSystemTray</tabstop>
  <tabstop>kcfg_startDocked</tabstop>
  <tabstop>kcfg_useMessageQueue</tabstop>
  <tabstop>kcfg_autoConnect</tabstop>
  <tabstop>kcfg_initialStatus</tabstop>
 </tabstops>
 <resources/>
 <connections/>
</ui>
